## flacparse flacparse |

## Properties

gboolean | check-frame-checksums | Read / Write

## Types and Values

struct | GstFlacParse

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseParse
                        ╰── GstFlacParse

## Description

The flacparse element will parse the header packets of the FLAC stream and put them as the streamheader in the caps. This is used in the multifdsink case where you want to stream live FLAC streams to multiple clients, each client has to receive the streamheaders first before they can consume the FLAC packets.

This element also makes sure that the buffers that it pushes out are properly timestamped and that their offset and offset_end are set. The buffers that flacparse outputs have all of the metadata that oggmux expects to receive, which allows you to (for example) remux an ogg/flac or convert a native FLAC format file to an ogg bitstream.

### Example pipelines

    1
    2
    gst-launch-1.0 -v filesrc location=sine.flac ! flacparse ! identity \
               ! oggmux ! filesink location=sine-remuxed.ogg

This pipeline converts a native FLAC format file to an ogg bitstream. It also illustrates that the streamheader is set in the caps, and that each buffer has the timestamp, duration, offset, and offset_end set.

## Synopsis

### Element Information

plugin | audioparsers
author | Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Codec/Parser/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-flac

name | src
direction | source
presence | always
details | audio/x-flac, framed=(boolean)true, channels=(int)[ 1, 8 ], rate=(int)[ 1, 655350 ]

## Functions

## Types and Values

### struct GstFlacParse

    struct GstFlacParse;

## Property Details

### The `“check-frame-checksums”` property

      “check-frame-checksums”    gboolean

Check the overall checksums of every frame.

Flags: Read / Write

Default value: FALSE

## See Also

flacdec, oggdemux, vorbisparse